local CustomDecoration = ...

-- Register all stone gate set building parts and their properties
CustomDecoration:dofile("scripts/decoration.lua")

-- Register the stone gate set monument
CustomDecoration:register({
	DataType = "MONUMENT",
	Id = "CUSTOM_DECORATION_V1_MONUMENT",
	Name = "CUSTOM_DECORATION_V1_MONUMENT_NAME",
	Description = "CUSTOM_DECORATION_V1_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "CUSTOM_DECORATION_V1_STONE_MONUMENT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "CUSTOM_DECORATION_V1_SFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_PFENETRE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STONE_ROUND_WINDOW_ROOT_PART",
		            "CUSTOM_DECORATION_V1_ARROWSLIT_ROOT_PART",
		            "CUSTOM_DECORATION_V1_BALCONY_ROOT_PART",
		            "CUSTOM_DECORATION_V1_BALCONY2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_BALCONY3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_BALCONY4_ROOT_PART",
		            "CUSTOM_DECORATION_V1_CHIMNEY_ROOT_PART",
		            "CUSTOM_DECORATION_V1_CHIMNEY_B_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LUCARNE_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LUCARNE2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LUCARNE3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_LUCARNE4_ROOT_PART",
		            "CUSTOM_DECORATION_V1_TURRET_ROOT_PART",
		            "CUSTOM_DECORATION_V1_TURRET2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_TURRET3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_DOOR_A_ROOT_PART",
		            "CUSTOM_DECORATION_V1_DOOR_B_ROOT_PART"
                        }
                },
		{
			Name = "CUSTOM_DECORATION_V1_WOODEN_MONUMENT_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_4_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_5_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_DOOR_6_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_4_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_5_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_6_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_7_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_WINDOW_8_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_ROUND_WINDOW_ROOT_PART",
		            "CUSTOM_DECORATION_V1_WOODEN_STAIRS_1_ROOT_PART"
                        }
                },
		{
			Name = "CUSTOM_DECORATION_V1_STAINED_GLASS_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_WINDOW_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_2_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_3_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_4_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_8_ROOT_PART",
		            "CUSTOM_DECORATION_V1_P_STAINED_GLASS_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_TALL_1_ROOT_PART",
		            "CUSTOM_DECORATION_V1_STAINED_GLASS_TALL_2_ROOT_PART"
                        }
                }
	},
        IsEditable = true
})


CustomDecoration:override({
    Id = "MONUMENT_CHURCH",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "CHURCH_ADDITION_NAME",
                	BuildingPartList = {
                            "CHURCH_V1_DECORATION_STAINED_GLASS_WINDOW_1_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_1_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_2_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_3_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_4_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_8_PART",
                            "CHURCH_V1_DECORATION_P_STAINED_GLASS_1_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_TALL_1_PART",
                            "CHURCH_V1_DECORATION_STAINED_GLASS_TALL_2_PART"
                        }
                }
    }
})

